# Foundation

## Get recent activities

This API is to request the activities informations of project.&#x20;

Includes transactions and transfers within the transaction.

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/activities" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get overall analytics

This API is to get the overall analytics. You can request the project ID and Chain ID get overall analytics.

The returned data includes:

* Project ID
* Return total assets in the last 7 days and the time you query.
* The rate of change in the amount of assets of the following day compared to the previous day
* Cumulative profit and loss in the last 7 days
* Daily profit and loss in last 7 days
* greatEvents: List of great events sorted in descending order by amount
* inflowTokens: List of inflow tokens
* outflowTokens: List of outflow tokens
* inflow: Daily volume deposited on the exchange the last 15 days
* outflow: Daily volume withdrawal on the exchange in the last 15 days

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/analytics" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get introduction of Cexes

This API is to request the introduction of the Project.

The returned data includes:

* List of active chains and addresses of cexes on this chain
* Social accounts
* Rank
* Volume
* Volume change logs in last 30 days
* Number of markets
* Number of coins

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/introduction" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get the list of Cexes

This API is to request the list of Cexes sorted in descending order by tradingVolume.

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/ranking/exchanges" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.centic.io/our-products-and-services/entity-oriented-api/foundation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
